Name:           python-nl4dv
Version:        4.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        NL4DV is a Python toolkit that takes a natural language (NL) query about a given dataset as input and outputs a structured JSON object containing Data attributes, Analytic tasks, and Visualizations (Vega-Lite specifications).

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nl4dv/nl4dv
Source:         %{pypi_source nl4dv}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nl4dv' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nl4dv
Summary:        %{summary}

%description -n python3-nl4dv %_description


%prep
%autosetup -p1 -n nl4dv-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nl4dv -f %{pyproject_files}


%changelog
%autochangelog